import { parse } from "@babel/parser";
import traverse from "@babel/traverse";
import generate from "@babel/generator";
import * as t from "@babel/types";
import fs from "fs";
import UglifyJS from "uglify-js";
import Deobfuscator from "./Deobfuscator.js";
import RequestsGenerator from "./RequestsGenerator.js";

const cfCode = fs.readFileSync('cfCode.js', { encoding : 'utf-8' });

const deobfuscator =  new Deobfuscator(cfCode);

const {code, ast}  = deobfuscator.deobfuscateCode();

const generator = new RequestsGenerator({code, ast});
//generator._getFirstPayload()
const firstRequest = generator.generateFirstRequest();
console.log(firstRequest)


fs.writeFile('deobfuscatedCode.js', code, _ => console.log('done'));